Package com.independentsoft.office.spreadsheet

# Class HeaderFooterDrawing

java.lang.Object
com.independentsoft.office.spreadsheet.HeaderFooterDrawing

public class HeaderFooterDrawing extends Object
The Class HeaderFooterDrawing. Represents a drawing used in the header and footer of a sheet (drawingHF element).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderFooterDrawing()`
  Instantiates a new header footer drawing.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HeaderFooterDrawing`
  `clone()`
  `int`
  `getCenterHeaderEven()`
  Gets the shape id for the center section header on even pages.
  `int`
  `getCenterHeaderFirst()`
  Gets the shape id for the center section header on the first page.
  `int`
  `getCenterHeaderOdd()`
  Gets the shape id for the center section header on odd pages.
  `int`
  `getLeftHeaderEven()`
  Gets the shape id for the left section header on even pages.
  `int`
  `getLeftHeaderFirst()`
  Gets the shape id for the left section header on the first page.
  `int`
  `getLeftHeaderOdd()`
  Gets the shape id for the left section header on odd pages.
  `int`
  `getRightHeaderEven()`
  Gets the shape id for the right section header on even pages.
  `int`
  `getRightHeaderFirst()`
  Gets the shape id for the right section header on the first page.
  `int`
  `getRightHeaderOdd()`
  Gets the shape id for the right section header on odd pages.
  `void`
  `setCenterHeaderEven​(int centerHeaderEven)`
  Sets the shape id for the center section header on even pages.
  `void`
  `setCenterHeaderFirst​(int centerHeaderFirst)`
  Sets the shape id for the center section header on the first page.
  `void`
  `setCenterHeaderOdd​(int centerHeaderOdd)`
  Sets the shape id for the center section header on odd pages.
  `void`
  `setLeftHeaderEven​(int leftHeaderEven)`
  Sets the shape id for the left section header on even pages.
  `void`
  `setLeftHeaderFirst​(int leftHeaderFirst)`
  Sets the shape id for the left section header on the first page.
  `void`
  `setLeftHeaderOdd​(int leftHeaderOdd)`
  Sets the shape id for the left section header on odd pages.
  `void`
  `setRightHeaderEven​(int rightHeaderEven)`
  Sets the shape id for the right section header on even pages.
  `void`
  `setRightHeaderFirst​(int rightHeaderFirst)`
  Sets the shape id for the right section header on the first page.
  `void`
  `setRightHeaderOdd​(int rightHeaderOdd)`
  Sets the shape id for the right section header on odd pages.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HeaderFooterDrawing

    public HeaderFooterDrawing()
    Instantiates a new header footer drawing.

- ## Method Details

  - ### clone

    public HeaderFooterDrawing clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getLeftHeaderOdd

    public int getLeftHeaderOdd()
    Gets the shape id for the left section header on odd pages.
    Returns:
      the left header odd

  - ### setLeftHeaderOdd

    public void setLeftHeaderOdd​(int leftHeaderOdd)
    Sets the shape id for the left section header on odd pages.
    Parameters:
      `leftHeaderOdd` - the new left header odd

  - ### getLeftHeaderEven

    public int getLeftHeaderEven()
    Gets the shape id for the left section header on even pages.
    Returns:
      the left header even

  - ### setLeftHeaderEven

    public void setLeftHeaderEven​(int leftHeaderEven)
    Sets the shape id for the left section header on even pages.
    Parameters:
      `leftHeaderEven` - the new left header even

  - ### getLeftHeaderFirst

    public int getLeftHeaderFirst()
    Gets the shape id for the left section header on the first page.
    Returns:
      the left header first

  - ### setLeftHeaderFirst

    public void setLeftHeaderFirst​(int leftHeaderFirst)
    Sets the shape id for the left section header on the first page.
    Parameters:
      `leftHeaderFirst` - the new left header first

  - ### getCenterHeaderOdd

    public int getCenterHeaderOdd()
    Gets the shape id for the center section header on odd pages.
    Returns:
      the center header odd

  - ### setCenterHeaderOdd

    public void setCenterHeaderOdd​(int centerHeaderOdd)
    Sets the shape id for the center section header on odd pages.
    Parameters:
      `centerHeaderOdd` - the new center header odd

  - ### getCenterHeaderEven

    public int getCenterHeaderEven()
    Gets the shape id for the center section header on even pages.
    Returns:
      the center header even

  - ### setCenterHeaderEven

    public void setCenterHeaderEven​(int centerHeaderEven)
    Sets the shape id for the center section header on even pages.
    Parameters:
      `centerHeaderEven` - the new center header even

  - ### getCenterHeaderFirst

    public int getCenterHeaderFirst()
    Gets the shape id for the center section header on the first page.
    Returns:
      the center header first

  - ### setCenterHeaderFirst

    public void setCenterHeaderFirst​(int centerHeaderFirst)
    Sets the shape id for the center section header on the first page.
    Parameters:
      `centerHeaderFirst` - the new center header first

  - ### getRightHeaderOdd

    public int getRightHeaderOdd()
    Gets the shape id for the right section header on odd pages.
    Returns:
      the right header odd

  - ### setRightHeaderOdd

    public void setRightHeaderOdd​(int rightHeaderOdd)
    Sets the shape id for the right section header on odd pages.
    Parameters:
      `rightHeaderOdd` - the new right header odd

  - ### getRightHeaderEven

    public int getRightHeaderEven()
    Gets the shape id for the right section header on even pages.
    Returns:
      the right header even

  - ### setRightHeaderEven

    public void setRightHeaderEven​(int rightHeaderEven)
    Sets the shape id for the right section header on even pages.
    Parameters:
      `rightHeaderEven` - the new right header even

  - ### getRightHeaderFirst

    public int getRightHeaderFirst()
    Gets the shape id for the right section header on the first page.
    Returns:
      the right header first

  - ### setRightHeaderFirst

    public void setRightHeaderFirst​(int rightHeaderFirst)
    Sets the shape id for the right section header on the first page.
    Parameters:
      `rightHeaderFirst` - the new right header first